﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Media;

namespace DAVIS_TextAdventure
{
    class Program
    {
        //Little Hero
        //By Morgan Davis
        static int currentroom = 4;
        static bool HasStick = false;
        static bool HasBall = false;
        static bool HasBox = false;
        static bool HasScrewdriver = false;
        static bool HasSister = false;
        static bool CabinetClosed = false;
        static bool HeroChoice = false;
        static bool weaponChosen = false;
        static bool HasKey = false;
        static bool DoorUnlocked = false;
        static bool CradleUnlocked = false;
        static bool RoomDescrip = true;
        static bool FreeSister = false;
        static bool intro = true;
        static string goodtoken = "";

        //player stats
        static int imagination = 12;
        static int fear = 0;
        static int points = 0;

        //every word typed in refers to a function
        //This code maps out the references
        public delegate void HandleCommand(string[] _input);
        static Dictionary<String, HandleCommand> map = new Dictionary<String, HandleCommand>();

        struct items
        {
            public string ItemName;
            public List<string> Description;
        }
        static List<items> itemlist = new List<items>();
        static List<items> itemlist2 = new List<items>();
        static List<items> itemlist3 = new List<items>();
        static string[] valid =
        {
            "stick",
            "ball",
            "box",
            "keys",
            "screwdriver",
            "north", "n",
            "south", "s",
            "east", "e",
            "west", "w",
            "q", "take", "x",
            "examine", "unlock",
            "door", "wall", "room", "fart",
            "look", "at", "use", "key", "tree", "trees",
            "cradle", "prison", "talk", "to", "dad", "father", "mom", "mother", "brother", "bro", "sister", "baby",
            "princess", "stats","stat", "player", "hero", "monster", "cabinet", "close", "open", "picture", "cabinet", "couch", "bed", "drop", "lincoln", "logs", "wallpaper", "flower", "hit"
        };

        static void Help(string[] _input)
        {
            Console.WriteLine(" ");
            Console.ForegroundColor = ConsoleColor.Magenta;
            Console.WriteLine("List of Commands:");
            Console.WriteLine(" ");
            Console.WriteLine("n, e, s, w - Takes player in directions.");
            Console.WriteLine("take, obtain, get <object> - Takes an object and places in inventory, if it can be taken.");
            Console.WriteLine("i, inventory - shows inventory.");
            Console.WriteLine("stats, player, hero - shows stats.");
            Console.WriteLine("unlock <object> - unlocks an object, if it can be unlocked.");
            Console.WriteLine("x, examine <object> - Examines an object.");
            Console.WriteLine("l, look - reiterates the description of the room.");
            Console.WriteLine("talk to <object> - talks to an NPC.");
            Console.WriteLine("q, quit - Quits game");
            Console.ForegroundColor = ConsoleColor.Gray;
            Console.Write(":> ");
        }

        //USE THIS FOR EXAMINING OBJECTS
        static void Printer(int a)
        {
            if (imagination > 2 && imagination < 9)
            {
                Console.WriteLine(itemlist[a].ItemName);
                for (int i = 0; i < itemlist[a].Description.Count; ++i)
                {
                    Console.WriteLine(itemlist[a].Description[i]);
                }
            }
            else if (imagination > 9)
            {
                Console.WriteLine(itemlist2[a].ItemName);
                for (int i = 0; i < itemlist2[a].Description.Count; ++i)
                {
                    Console.WriteLine(itemlist2[a].Description[i]);
                }
            }
            else
            {
                Console.WriteLine(itemlist3[a].ItemName);
                for (int i = 0; i < itemlist3[a].Description.Count; ++i)
                {
                    Console.WriteLine(itemlist3[a].Description[i]);
                }
            }
        }
        //SOUND EFFECTS ********************************************************************************************
        static void Fart(string[] _input)
        {
            using (SoundPlayer player = new SoundPlayer(@"..\..\fart.wav"))
            {
                player.Play();
            }
            points += 500;
            ShowPoints();
            Console.Write(":> ");
        }

        static void Groan()
        {
            using (SoundPlayer player = new SoundPlayer(@"..\..\groan.wav"))
            {
                player.Play();
            }
        }

        static void HeartBeat()
        {
            using (SoundPlayer player = new SoundPlayer(@"..\..\heartbeat.wav"))
            {
                player.PlayLooping();
            }
        }

        static void BabySound()
        {
            using (SoundPlayer player = new SoundPlayer(@"..\..\baby.wav"))
            {
                player.Play();
            }
        }

        static void GoalSound()
        {
            using (SoundPlayer player = new SoundPlayer(@"..\..\goal.wav"))
            {
                player.Play();
            }
        }

        // *********************************************************************************************************************************

        //======================================================================
        // Display Inventory
        //======================================================================
        static void ShowInventory(string[] _input)
        {
            Console.WriteLine(" ");
            Console.WriteLine("Inventory:");
            Console.WriteLine(" ");
            if (HasStick == true)
            {
                Printer(0);
                Console.WriteLine(" ");
            }
            if (HasBox == true)
            {
                Printer(1);
                Console.WriteLine(" ");
            }
            if (HasBall == true)
            {
                Printer(2);
                Console.WriteLine(" ");
            }
            if (HasKey == true)
            {
                Printer(3);
                Console.WriteLine(" ");
            }
            if (HasScrewdriver == true)
            {
                Printer(4);
                Console.WriteLine(" ");
            }
            if (HasSister == true)
            {
                Printer(5);
                Console.WriteLine(" ");
            }
            Console.Write(":> ");
        }

        //======================================================================
        //======================================================================
        static void ShowExamined(string item)
        {
            Console.WriteLine(" ");
            if (item == "tree" && currentroom == 7 || item == "trees" && currentroom == 7)
                Console.WriteLine("The trees are really just fences.");
            if (item == "lincoln" && currentroom == 10 || item == "logs" && currentroom == 10 || item == "throne" && currentroom == 10)
                Console.WriteLine("Your majesty's throne.");
            if (item == "wallpaper" && currentroom == 3 || item == "flower" && currentroom == 3)
                Console.WriteLine("The wallpaper gives off a girly energy.");
            if (item == "cradle" && currentroom == 3 || item == "prison" && currentroom == 3)
                Console.WriteLine("You notice an entry out of the prison could open up if you had the right tool.");
            if (item == "mom" && currentroom == 0 || item == "mother" && currentroom == 0)
                Console.WriteLine("Your mother is sitting on the couch, looking rather exhausted.");
            if (item == "couch" && currentroom == 0)
                Console.WriteLine("The couch from the IKEA universe.");
            if (item == "dad" && currentroom == 6 || item == "father" && currentroom == 6)
                Console.WriteLine("Your father is sitting on the bed, trying to remember what he was supposed to do.");
            if (item == "bed" && currentroom == 6)
                Console.WriteLine("The queen sized bed Mom and Dad sleep on.");
            if (item == "picture" && currentroom == 5)
                Console.WriteLine("The picture contains a family photo, showing you a year younger than you are now.");
            if (item == "cabinet" && currentroom == 1)
                Console.WriteLine("One of the kitchen cabinets. Guessing what is inside is never your strength until you open it. In this case there is a monster inside it.");
            if (item == "brother" && currentroom == 4 || item == "bro" && currentroom == 4)
                Console.WriteLine("Your brother always picks on you, no matter what you do.");
            if (item == "monster" && currentroom == 1 || item == "monster" && currentroom == 2 || item == "monster" && currentroom == 5)
            {
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMNdhhhhdmNMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMMMMMMmy+:.``    ````-+ymMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMMMMh/`                 `-sdMMMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMNy-`                      `:hMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMNs.                           `:mMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMN:                               .dMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMM+                                 `sMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMM.                                   :hMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMM.                                    `/dMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMo                                      `sNMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMN.                                       /NMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMM-                         ``.            +MMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMN`   ./:.              .:shdmh`            yMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMo    `/dds:.`         /hmddyo-             -MMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMM-      `-/o+.         .``                   mMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMM`                                           yMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMM`                                           yMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMM`                                          -NMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMo                                        `/NMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMy                                     `/mMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMN`                                   +mMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMM/                                   `NMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMd                                    `MMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMM:                                     +MMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMh                                       +MMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMM-                                 `/     -hMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMh                                  hMd:     .omMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMs                                 /MMMMh/`    `/hNMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMM/                                 +MMMMMMNho/-...+MMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMM+                                  `yNMMMMMMMMNNNNMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMN+                                     .oNMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMms-    `:y-                                .sNMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMNhs+-`    .+dNMh                   `-oddh+.       -yNMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMy      `:ymMMMMN                 .sdNMMMMMms:`      ./shmNMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMNyoosydmMMMMMMMM`                dMMMMMMMMMMMmh+-`      `-:/oNMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMM`    `:+oo-      yMMMMMMMMMMMMMMNds/:---:::/omMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMm    .mMMMMNy-    .mMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMy    /MMMMMMMNo    -mMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMy    /MMMMMMMMMy`   .hMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMm`   yMMMMMMMMMMs    `yMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMM+  -NMMMMMMMMMMMs.    yMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMMMy+mMMMMMMMMMMMMMNy:./mMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Console.WriteLine("MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM");
                Groan();
                Console.WriteLine("\nYou look at the monster, and realize how scary and mean he is.");
                Console.WriteLine("You are now more scared than you were before.");
                if (fear < 10)
                {
                    fear += 1;
                    if (fear == 10)
                    {
                        Console.WriteLine(" ");
                        Console.WriteLine("You grow too scared to continue your adventure.");
                        GameOver();
                    }
                    else if (fear > 7 && fear < 11)
                    {
                        HeartBeat();
                        Console.ForegroundColor = ConsoleColor.Green;
                        Console.WriteLine("Fear: +" + fear);
                        Console.ForegroundColor = ConsoleColor.Gray;
                    }
                    else
                    {
                        Console.ForegroundColor = ConsoleColor.Green;
                        Console.WriteLine("Fear: +" + fear);
                        Console.ForegroundColor = ConsoleColor.Gray;
                    }
                }
            }
            if (item == "stick" || item == "sword")
            {
                if (HasStick == true)
                {
                    Printer(0);
                    Console.WriteLine(" ");
                }
                else if (HasStick == false && currentroom == 7)
                {
                    Printer(0);
                    Console.WriteLine(" ");
                }
                else
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("You don't have or see a " + item + ".");
                    Console.ForegroundColor = ConsoleColor.Gray;
                }
            }
            else if (item == "box" || item == "helmet")
            {
                if (HasBox == true)
                {
                    Printer(1);
                    Console.WriteLine(" ");
                }
                else if (HasBox == false && currentroom == 7)
                {
                    Printer(1);
                    Console.WriteLine(" ");
                }
                else
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("You don't have the " + item + ".");
                    Console.ForegroundColor = ConsoleColor.Gray;
                }
            }
            else if (item == "ball" || item == "orb")
            {
                if (HasBall == true)
                {
                    Printer(2);
                    Console.WriteLine(" ");
                }
                else if (HasBall == false && currentroom == 7)
                {
                    Printer(2);
                    Console.WriteLine(" ");
                }
                else
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("You don't have the " + item + ".");
                    Console.ForegroundColor = ConsoleColor.Gray;
                }
            }
            else if (item == "key")
            {
                if (HasKey == true)
                {
                    Printer(3);
                    Console.WriteLine(" ");
                }
                else if (HasKey == false && currentroom == 6)
                {
                    Printer(3);
                    Console.WriteLine(" ");
                }
                else
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("You don't have the " + item + ".");
                    Console.ForegroundColor = ConsoleColor.Gray;
                }
            }
            else if (item == "screwdriver")
            {
                if (HasScrewdriver == true)
                {
                    Printer(4);
                    Console.WriteLine(" ");
                }
                else if (HasScrewdriver == false && currentroom == 2)
                {
                    Printer(4);
                    Console.WriteLine(" ");
                }
                else
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("You don't have the " + item + ".");
                    Console.ForegroundColor = ConsoleColor.Gray;
                }
            }
            else if (item == "baby" || item == "sister" || item == "princess")
            {
                if (HasSister == true)
                {
                    Printer(5);
                    Console.WriteLine(" ");
                }
                else if (HasSister == false && currentroom == 3)
                {
                    Printer(5);
                    Console.WriteLine(" ");
                }
                else
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("You don't have your " + item + ".");
                    Console.ForegroundColor = ConsoleColor.Gray;
                }
            }
            Console.Write(":> ");
        }

        //======================================================================
        //======================================================================
        static void IsValid(string a)
        {
            for (int i = 0; i < valid.Length; ++i)
            {
                if (a == valid[i])
                {
                    goodtoken = valid[i];
                }
            }
        }

        //======================================================================
        //======================================================================
        static void InvalidInput(string alien)
        {
            Console.ForegroundColor = ConsoleColor.Red;
            Console.WriteLine(" ");
            Console.WriteLine("What does a " + alien + " have to do with this?");
            Console.ForegroundColor = ConsoleColor.Gray;
            Console.Write(":> ");
        }

        //======================================================================
        //======================================================================
        static void Quit(string[] _input)
        {
            currentroom = 8;
        }

        //======================================================================
        //======================================================================
        static void Victory()
        {
            GoalSound();
            Console.ForegroundColor = ConsoleColor.White;
            Console.WriteLine("Congratulations! You have become a Little Hero,");
            Console.WriteLine("and rescued the princess!");
            EndingStats();
            currentroom = 8;
        }

        //======================================================================
        //======================================================================
        static void GameOver()
        {
            Console.ForegroundColor = ConsoleColor.Red;
            Console.WriteLine("GAME OVER");
            Console.WriteLine("You failed to rescue the Princess!");
            Console.WriteLine("Would you like to play again?");
            Console.WriteLine("y/n");
            Console.ForegroundColor = ConsoleColor.Gray;
            while (true)
            {
                Console.Write(":> ");
                string input = Console.ReadLine();
                if (input == "y")
                {
                    currentroom = 4;
                    HasStick = false;
                    HasBall = false;
                    HasBox = false;
                    HasScrewdriver = false;
                    HasSister = false;
                    CabinetClosed = false;
                    HeroChoice = false;
                    weaponChosen = false;
                    HasKey = false;
                    DoorUnlocked = false;
                    CradleUnlocked = false;
                    RoomDescrip = true;
                    FreeSister = false;
                    imagination = 12;
                    fear = 0;
                    points = 0;
                    intro = true;
                    break;
                }
                else if (input == "n" || input == "no")
                {
                    currentroom = 8;
                    break;
                }
                else
                    Console.WriteLine("\nWhat was that? Type y or n.");
            }

        }

        //======================================================================
        //======================================================================
        static void ShowPoints()
        {
            Console.WriteLine(" ");
            Console.ForegroundColor = ConsoleColor.Green;
            Console.WriteLine("Current Points: " + points);
            Console.ForegroundColor = ConsoleColor.Gray;
        }

        //======================================================================
        //======================================================================
        static void ShowStats(string[] _input)
        {
            Console.ForegroundColor = ConsoleColor.Green;
            Console.WriteLine(" ");
            Console.WriteLine("Player Stats:");
            ShowPoints();
            Console.ForegroundColor = ConsoleColor.Green;
            Console.WriteLine("Imagination: " + imagination);
            Console.WriteLine("Fear: " + fear);
            Console.ForegroundColor = ConsoleColor.Gray;
            Console.Write(":> ");
        }

        //======================================================================
        //======================================================================
        static void EndingStats()
        {
            Console.ForegroundColor = ConsoleColor.Green;
            Console.WriteLine(" ");
            Console.WriteLine("Player Stats:");
            Console.ForegroundColor = ConsoleColor.Green;
            Console.WriteLine("Imagination: " + imagination);
            Console.WriteLine("Fear: " + fear);
            Console.WriteLine("Final Score: " + points);
            Console.ForegroundColor = ConsoleColor.Gray;
        }

        //======================================================================
        //======================================================================
        static void Goal2()
        {
            GoalSound();
            Console.ForegroundColor = ConsoleColor.Cyan;
            Console.WriteLine("\nNow that you have obtained your weapon,");
            Console.WriteLine("GOAL 2:");
            Console.WriteLine("Find someone to rescue!");
            points += 75;
            ShowPoints();
            Console.ForegroundColor = ConsoleColor.Gray;
        }

        //======================================================================
        //======================================================================
        static void Goal3()
        {
            GoalSound();
            Console.ForegroundColor = ConsoleColor.Cyan;
            Console.WriteLine("\nTake the princess to your castle!");
            points += 75;
            ShowPoints();
            Console.ForegroundColor = ConsoleColor.Gray;
        }

        //======================================================================
        //This is the core function of the entire script. It takes in the input of the user
        // and calls the corresponding functions only if the words they type are correct
        //======================================================================
        static void UserInput(string a)
        {
            string[] arguments = a.Split(' ');
            if (arguments.Length > 0 && map.ContainsKey(arguments[0]))
            {
                map[arguments[0]](arguments);
            }
            else
                InvalidInput(a);
        }

        //======================================================================
        //======================================================================
        static void WeaponChoice(string weapon)
        {
            Console.WriteLine(" ");
            if (weapon == "stick")
            {
                Console.ForegroundColor = ConsoleColor.Green;
            }
            if (weapon == "ball")
            {
                Console.ForegroundColor = ConsoleColor.Green;
            }
            if (weapon == "box")
            {
                Console.ForegroundColor = ConsoleColor.Green;
            }
            Console.WriteLine("Are you sure you want to wield the " + weapon + "?");
            Console.WriteLine("After accepting this weapon, you cannot choose another weapon.");
            Console.WriteLine("y/n");
            Console.ForegroundColor = ConsoleColor.Gray;
            Console.Write(":> ");
            string choice = Console.ReadLine();
            if (choice == "y")
                weaponChosen = true;
            else if (choice == "n")
                Console.WriteLine("\nYou put the " + weapon + " back.");
        }

        //======================================================================
        //======================================================================
        static void ItemsForPlayer(string stuff)
        {
            //BOOL that turns specific item ON so that the inventory printer displays it (reveals it)
            //Once the Hero chooses his weapon, he cannot choose any of the others
            if (stuff == "keys" && currentroom == 6 || stuff == "key" && currentroom == 6)
            {
                Console.WriteLine(" ");
                Console.WriteLine("You take the key.");
                HasKey = true;
            }
            else if (stuff == "baby" && currentroom == 3 && CradleUnlocked == true || stuff == "sister" && currentroom == 3 && CradleUnlocked == true || stuff == "princess" && currentroom == 3 && CradleUnlocked == true)
            {
                if (points < 600)
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("You need to increase your point score before taking the princess. 600 is a good number.");
                    Console.ForegroundColor = ConsoleColor.Gray;
                }
                else
                {
                    Console.WriteLine(" ");
                    Console.WriteLine("You take the princess, and gently throw her on your shoulder.");
                    HasSister = true;
                    Goal3();
                }
            }
            else if (stuff == "screwdriver" && currentroom == 2)
            {
                Console.WriteLine(" ");
                Console.WriteLine("You take the screwdriver.");
                HasScrewdriver = true;
            }
            else if (stuff == "stick" && currentroom == 7 && HeroChoice == false)
            {
                WeaponChoice(stuff);
                if (weaponChosen == true)
                {
                    HasStick = true;
                    Console.WriteLine(" ");
                    if (imagination > 2 && imagination < 10)
                        Console.WriteLine("You firmly grasp the " + stuff + " imagining it is your Sword, and hold it high in the air!");
                    else if (imagination > 9)
                        Console.WriteLine("You firmly grasp the " + stuff + " imagining it is the most powerful Sword in the world, and hold it high in the air!");
                    else
                        Console.WriteLine("You firmly grasp the " + stuff + " and hold it high in the air!");
                    Goal2();
                    HeroChoice = true;
                }
            }
            else if (stuff == "ball" && currentroom == 7 && HeroChoice == false)
            {
                WeaponChoice(stuff);
                if (weaponChosen == true)
                {
                    HasBall = true;
                    Console.WriteLine(" ");
                    if (imagination > 2 && imagination < 10)
                        Console.WriteLine("You pick up the " + stuff + ", imagining it as a Magical Orb.");
                    else if (imagination > 9)
                        Console.WriteLine("You pick up the " + stuff + ", imagining it is Merlin's very own Magical Orb.");
                    else
                        Console.WriteLine("You pick up the " + stuff + ".");
                    Goal2();
                    HeroChoice = true;
                }
            }
            else if (stuff == "box" && currentroom == 7 && HeroChoice == false)
            {
                WeaponChoice(stuff);
                if (weaponChosen == true)
                {
                    HasBox = true;
                    Console.WriteLine(" ");
                    if (imagination > 2 && imagination < 10)
                        Console.WriteLine("You take the " + stuff + " and place it on your head for an impenetrable helmet.");
                    else if (imagination > 9)
                        Console.WriteLine("You take the " + stuff + " and place it on your head knowing now that you are completely invincible to everything.");
                    else
                        Console.WriteLine("You take the " + stuff + ".");
                    Goal2();
                    HeroChoice = true;
                }
            }
            else if (stuff == "box" && HeroChoice == true || stuff == "ball" && HeroChoice == true || stuff == "stick" && HeroChoice == true)
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine(" ");
                Console.WriteLine("You have already chosen your weapon.");
                Console.ForegroundColor = ConsoleColor.Gray;
            }
            else
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine("You cannot do that.");
            }
            Console.ForegroundColor = ConsoleColor.Gray;
            Console.Write(":> ");
        }

        //======================================================================
        //======================================================================
        static void Handle_Examine(string[] _input)
        {
            if (_input.Length > 1)
            {
                IsValid(_input[1]);
                if (_input[1] == goodtoken)
                {
                    ShowExamined(_input[1]);
                }
            }
            else
            {
                Console.WriteLine(" ");
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine("You need something to examine.");
                Console.ForegroundColor = ConsoleColor.Gray;
                Console.Write(":> ");
            }
        }

        //======================================================================
        //======================================================================
        static void Handle_Close(string[] _input)
        {
            if (_input.Length > 1)
            {
                IsValid(_input[1]);
                if (_input[1] == "cabinet")
                {
                    Console.WriteLine("You close the cabinet without looking at the monster.");
                    CabinetClosed = true;
                }
            }
            else
            {
                Console.WriteLine(" ");
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine("That does not make sense.");
                Console.ForegroundColor = ConsoleColor.Gray;
                Console.Write(":> ");
            }
        }

        //======================================================================
        //======================================================================
        static void Handle_Open(string[] _input)
        {
            if (_input.Length > 1)
            {
                IsValid(_input[1]);
                if (_input[1] == "cabinet")
                {
                    if (CabinetClosed == true)
                        Console.WriteLine("Why would you want to open a cabinet with a monster inside?");
                    else
                        Console.WriteLine("The cabinet is already open.");
                }
            }
            else
            {
                Console.WriteLine(" ");
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine("That does not make sense.");
                Console.ForegroundColor = ConsoleColor.Gray;
                Console.Write(":> ");
            }
        }

        //======================================================================
        //======================================================================
        static void Handle_Take(string[] _input)
        {
            if (_input.Length > 1)  //makes sure an object is taken
            {
                IsValid(_input[1]);
                if (_input[1] == goodtoken)
                {
                    ItemsForPlayer(_input[1]);
                }
                else
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine(" ");
                    Console.WriteLine("I don't know what " + _input[1] + " is.");
                    Console.ForegroundColor = ConsoleColor.Gray;
                    Console.Write(":> ");
                }
            }
            else
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine(" ");
                Console.WriteLine("You need something to take.");
                Console.ForegroundColor = ConsoleColor.Gray;
                Console.Write(":> ");
            }
        }

        //======================================================================
        //======================================================================
        static void Handle_Drop(string[] _input)
        {
            if (_input.Length > 1)
            {
                IsValid(_input[1]);
                if (_input[1] == goodtoken)
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("\nWhy would you want to drop that?");
                    Console.ForegroundColor = ConsoleColor.Gray;
                }
                else
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("\nI don't know what " + _input[1] + " is.");
                    Console.ForegroundColor = ConsoleColor.Gray;
                }
            }
            else
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine("\nYou need something to drop.");
                Console.ForegroundColor = ConsoleColor.Gray;
            }
            Console.Write(":> ");
        }

        //======================================================================
        //======================================================================
        static void Handle_Attack(string[] _input)
        {
            if (_input.Length > 1)  //makes sure an object is taken
            {
                IsValid(_input[1]);
                if (_input[1] == goodtoken)
                {
                    if (goodtoken == "monster" && currentroom == 1 || goodtoken == "monster" && currentroom == 2 || goodtoken == "monster" && currentroom == 5)
                    {
                        Console.WriteLine("\nYou attack the monster, defeating it. However another monster spawns and you grow scared.");
                        fear += 1;
                        Console.WriteLine("Fear: +" + fear);
                    }
                    else if (goodtoken == "monster" && currentroom == 0 || goodtoken == "monster" && currentroom == 3 || goodtoken == "monster" && currentroom == 4 || goodtoken == "monster" && currentroom == 6 || goodtoken == "monster" && currentroom == 7 || goodtoken == "monster" && currentroom == 10)
                        Console.WriteLine("\nWhat monster?");
                    else
                    {
                        Console.ForegroundColor = ConsoleColor.Red;
                        Console.WriteLine("\nBeing a Hero does not require attacking " + goodtoken + ".");
                        Console.ForegroundColor = ConsoleColor.Gray;
                    }
                }
                else
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("\nI don't know what " + _input[1] + " is.");
                    Console.ForegroundColor = ConsoleColor.Gray;
                }
            }
            else
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine("\nYou need something to attack");
                Console.ForegroundColor = ConsoleColor.Gray;
            }
            Console.Write(":> ");
        }

        //======================================================================
        //======================================================================
        static void ShowConversation(string query)
        {
            if (query == "dad" && currentroom == 6 || query == "father" && currentroom == 6)
            {
                Console.WriteLine(" ");
                if (HasSister == true)
                {
                    Console.WriteLine("'What are you doing with your sister there?'");
                    Console.WriteLine("'Let me have her!'");
                    GameOver();
                }
                else if (HasBall == true)
                {
                    Console.WriteLine("'What are you doing with that ball there?'");
                    Console.WriteLine("'Whatdya say we go play ball?'");
                    Console.WriteLine("You are left with no choice. You and your Dad go play ball, and the princess is not saved.");
                    Console.WriteLine(" ");
                    GameOver();
                }
                else
                {
                    points += 5;
                    Console.WriteLine("'Oh hi there son!'");
                    if (HasStick == true)
                    {
                        Console.WriteLine("'What are you doing with that stick there?'");
                    }
                    if (HasBox == true)
                    {
                        Console.WriteLine("'What are you doing with a box on your head?'");
                        points += 5;
                    }
                    if (imagination > 2)
                    {
                        imagination -= 1;
                        Console.WriteLine("By talking to your father, you lost imagination points, but increased your Game score.");
                    }
                    ShowPoints();
                }

            }
            if (query == "mom" && currentroom == 0 || query == "mother" && currentroom == 0)
            {
                Console.WriteLine(" ");
                if (HasSister == true)
                {
                    Console.WriteLine("'What are you doing with your sister there?'");
                    Console.WriteLine("'Let me have her!'");
                    GameOver();
                }
                else if (HasBox == true)
                {
                    Console.WriteLine("'Oh! I needed a box earlier today!'");
                    Console.WriteLine("'Thanks for bringing it to me!'");
                    Console.WriteLine("Your mother takes the box off your head, and you are no longer a hero.");
                    Console.WriteLine("Ashamed of your defeat, you give up on your quest.");
                    GameOver();
                }
                else
                {
                    points += 5;
                    Console.WriteLine("'Hi cutie pie!'");
                    if (HasStick == true)
                    {
                        Console.WriteLine("'What are you doing with that stick there?'");
                    }
                    if (HasBall == true)
                    {
                        Console.WriteLine("'What are you doing with that ball there?'");
                    }

                    if (imagination > 2)
                    {
                        imagination -= 1;
                        Console.WriteLine("By talking to your mother, you lost imagination points, but increased your Game score.");
                    }
                    ShowPoints();
                }

            }
            if (query == "brother" && currentroom == 4 || query == "bro" && currentroom == 4)
            {
                Console.WriteLine(" ");
                points += 5;
                if (HasSister == true)
                {
                    Console.WriteLine("'What are you doing with Leah?'");
                    Console.WriteLine("'Get her away from me!'");

                    if (imagination > 3)
                    {
                        imagination -= 2;
                        Console.WriteLine("By talking to your brother, you lost 2 imagination points, but increased your Game score.");
                    }
                    ShowPoints();
                }
                else if (HasStick == true)
                {
                    Console.WriteLine("'Oh nice stick you got there'");
                    Console.WriteLine("Your brother takes your sword and breaks it on you with his many lashes.");
                    Console.WriteLine("Ashamed to be called a hero, you give up on your quest.");
                    GameOver();
                }
                else
                {
                    Console.WriteLine("'Hey loser.'");

                    if (HasBall == true)
                    {
                        Console.WriteLine("'If you're expecting me to play with you, you might as well go away.'");
                    }
                    if (HasBox == true)
                    {
                        Console.WriteLine("'Haha a box on your head. You might as well wear that everyday to hide your ugly face!'");
                    }
                    if (imagination > 3)
                    {
                        imagination -= 2;
                        Console.WriteLine("By talking to your brother, you lost 2 imagination points, but increased your Game score.");
                    }
                    ShowPoints();
                }
            }
            if (query == "sister" || query == "baby" || query == "princess")
            {
                Console.WriteLine(" ");
                if (HasSister == true)
                {
                    Console.WriteLine("The princess does not respond, but instead drools on your shoulder.");
                }
                else if (HasSister == false && currentroom == 3)
                {
                    BabySound();
                    Console.WriteLine("The princess replies with, 'Hi' while she wrinkles her fingers over one of her hands.");
                }
                else
                    Console.WriteLine("The princess is in another castl...err room.");
            }
        }

        //======================================================================
        //======================================================================
        static void Handle_Talk(string[] _input)
        {
            if (_input.Length > 2)
            {
                IsValid(_input[1]);
                if (_input[1] == "to")
                {
                    IsValid(_input[2]);
                    if (_input[2] == goodtoken && _input[2] != "monster")
                    {
                        ShowConversation(_input[2]);
                    }
                    else if (_input[2] == "monster")
                        Console.WriteLine("Talking to the monster is a bad idea.");
                    else
                        Console.WriteLine("Who exactly is " + _input[2] + "?");
                }
                else if (_input[1] == goodtoken)
                {
                    ShowConversation(_input[1]);
                }
                Console.Write(":> ");
            }
            else
            {
                Console.WriteLine(" ");
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine("You need someone to talk to.");
                Console.ForegroundColor = ConsoleColor.Gray;
                Console.Write(":> ");
            }
        }

        //======================================================================
        // Directional Functions
        //======================================================================
        static void Handle_North(string[] _input)
        {
            //North scenarios for each room
            if (currentroom == 0) //Den
            {
                Wall();
                currentroom = 0;
            }
            else if (currentroom == 1) //Kitchen
            {
                RoomDescrip = true;
                currentroom = 7;
            }
            else if (currentroom == 2) //Garage
            {
                RoomDescrip = true;
                currentroom = 1;
            }
            else if (currentroom == 3) //Little Sister's Bedroom
            {
                RoomDescrip = true;
                currentroom = 5;
            }
            else if (currentroom == 4) //Your Bedroom
            {
                Wall();
                currentroom = 4;
            }
            else if (currentroom == 5) //Hallway
            {
                RoomDescrip = true;
                currentroom = 6;
            }
            else if (currentroom == 6) //Master Bedroom
            {
                Wall();
                currentroom = 6;
            }
            else if (currentroom == 7) //Backyard
            {
                Wall();
                currentroom = 7;
            }
            else if (currentroom == 10) //Castle
            {
                Wall();
                currentroom = 10;
            }
        }

        //======================================================================
        //======================================================================
        static void Handle_East(string[] _input)
        {
            //East scenarios for each room

            if (currentroom == 0) { RoomDescrip = true; currentroom = 1; } //Den
            else if (currentroom == 1) { Wall(); currentroom = 1; } //Kitchen
            else if (currentroom == 2) { Wall(); currentroom = 2; } //Garage
            else if (currentroom == 3) //Little Sister's Bedroom
            {
                Wall();
                currentroom = 3;
            }
            else if (currentroom == 4) //Isaac's Bedroom
            {
                RoomDescrip = true;
                currentroom = 5;
            }
            else if (currentroom == 5) //Hallway
            {
                RoomDescrip = true;
                currentroom = 0;
            }
            else if (currentroom == 6) //Master Bedroom
            {
                Wall();
                currentroom = 6;
            }
            else if (currentroom == 7) //Backyard
            {
                Wall();
                currentroom = 7;
            }
            else if (currentroom == 10) //Castle
            {
                RoomDescrip = true;
                currentroom = 7;
            }
        }

        //======================================================================
        //======================================================================
        static void Handle_South(string[] _input)
        {
            //South scenarios for each room
            if (currentroom == 0) //Den
            {
                Wall();
                currentroom = 0;
            }
            else if (currentroom == 1) //Kitchen
            {
                Door();
                if (DoorUnlocked)
                {
                    RoomDescrip = true;
                    currentroom = 2;
                }
                else
                    currentroom = 1;
            }
            else if (currentroom == 2) //Garage
            {
                Wall();
                currentroom = 2;
            }
            else if (currentroom == 3) //Little Sister's Bedroom
            {
                Wall();
                currentroom = 3;
            }
            else if (currentroom == 4) //Isaac's Bedroom
            {
                Wall();
                currentroom = 4;
            }
            else if (currentroom == 5) //Hallway
            {
                RoomDescrip = true;
                currentroom = 3;
            }
            else if (currentroom == 6) //Master Bedroom
            {
                RoomDescrip = true;
                currentroom = 5;
            }
            else if (currentroom == 7) //Backyard
            {
                RoomDescrip = true;
                currentroom = 1;
            }
            else if (currentroom == 10) //Castle
            {
                Wall();
                currentroom = 10;
            }
        }

        //======================================================================
        //======================================================================
        static void Handle_West(string[] _input)
        {
            //West scenarios for each room
            if (currentroom == 0) //Den
            {
                RoomDescrip = true;
                currentroom = 5;
            }
            else if (currentroom == 1) //Kitchen
            {
                RoomDescrip = true;
                currentroom = 0;
            }
            else if (currentroom == 2) //Garage
            {
                Wall();
                currentroom = 2;
            }
            else if (currentroom == 3) //Little Sister's Bedroom
            {
                Wall();
                currentroom = 3;
            }
            else if (currentroom == 4) //Isaac's Bedroom
            {
                Wall();
                currentroom = 4;
            }
            else if (currentroom == 5) //Hallway
            {
                RoomDescrip = true;
                currentroom = 4;
            }
            else if (currentroom == 6) //Master Bedroom
            {
                Wall();
                currentroom = 6;
            }
            else if (currentroom == 7) //Backyard
            {
                RoomDescrip = true;
                currentroom = 10;
            }
            else if (currentroom == 10) //Castle
            {
                Wall();
                currentroom = 10;
            }
        }

        //======================================================================
        //if the player hits a wall
        //======================================================================
        static void Wall()
        {
            Console.ForegroundColor = ConsoleColor.Red;
            //axWindowsMediaPlayer1.URL = @"c:\mediafile.wmv";
            Console.WriteLine("\nThat's a wall. You cannot go in that direction.");
            Console.ForegroundColor = ConsoleColor.Gray;
            Console.Write(":> ");
        }

        //======================================================================
        //======================================================================
        static void Door()
        {
            //Locked
            if (DoorUnlocked == false)
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine(" ");
                Console.WriteLine("The door to the Garage is locked.");
                Console.ForegroundColor = ConsoleColor.Gray;
                Console.Write(":> ");
            }
        }

        //======================================================================
        //======================================================================
        static void Unlock(string[] _input)
        {
            if (_input.Length > 1)  //makes sure an object is taken
            {
                if (_input[1] == "door" && currentroom == 1)
                {
                    if (HasKey == true)
                    {
                        //call the ItemsForPlayer Function here
                        Console.WriteLine("\nYou unlock the door, leaving the key behind.");
                        Console.WriteLine("You gain 250 points.");
                        points += 250;
                        ShowPoints();
                        Console.Write(":> ");
                        HasKey = false;
                        DoorUnlocked = true;
                    }
                    else if (HasKey == false)
                    {
                        Console.ForegroundColor = ConsoleColor.Red;
                        Console.WriteLine("\nYou don't have a key.");
                        Console.ForegroundColor = ConsoleColor.Gray;
                        Console.Write(":> ");
                    }
                    else if (currentroom != 1)
                    {
                        Console.ForegroundColor = ConsoleColor.Red;
                        Console.WriteLine("\nThis room does not contain a locked door.");
                        Console.ForegroundColor = ConsoleColor.Gray;
                        Console.Write(":> ");
                    }
                    else
                    {
                        Console.ForegroundColor = ConsoleColor.Red;
                        Console.WriteLine("\nYou cannot unlock the " + _input[1] + ".");
                        Console.ForegroundColor = ConsoleColor.Gray;
                        Console.Write(":> ");
                    }
                }

                if (_input[1] == "cradle" && currentroom == 3 && HeroChoice == true || _input[1] == "prison" && currentroom == 3 && HeroChoice == true)
                {
                    if (HasScrewdriver == true)
                    {
                        //call the ItemsForPlayer Function here
                        Console.WriteLine("\nYou unlock the cradle, allowing access to the princess.");
                        Console.WriteLine("You gain 250 points.");
                        points += 250;
                        ShowPoints();
                        CradleUnlocked = true;
                    }
                    else if (HasScrewdriver == false)
                    {
                        Console.ForegroundColor = ConsoleColor.Red;
                        Console.WriteLine("\nYou don't have a screwdriver.");
                    }
                    else if (currentroom != 3)
                    {
                        Console.ForegroundColor = ConsoleColor.Red;
                        Console.WriteLine("\nThis room does not contain a locked cradle.");
                    }
                    else
                    {
                        Console.ForegroundColor = ConsoleColor.Red;
                        Console.WriteLine("\nYou cannot unlock the " + _input[1] + ".");
                    }
                    Console.ForegroundColor = ConsoleColor.Gray;
                    Console.Write(":> ");
                }
                if (_input[1] == "cradle" && currentroom == 3 && HeroChoice == false || _input[1] == "prison" && currentroom == 3 && HeroChoice == false)
                {
                    Console.ForegroundColor = ConsoleColor.Red;
                    Console.WriteLine("\nRescuing the princess at this time seems inappropriate. How would you defend her without a weapon?");
                    Console.ForegroundColor = ConsoleColor.Gray;
                }

            }
            else
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine("\nWhat are you wanting to unlock?");
                Console.ForegroundColor = ConsoleColor.Gray;
                Console.Write(":> ");
            }
        }

        //======================================================================
        //======================================================================
        static void Handle_Look(string[] _input)
        {


            if (_input.Length > 2)
            {
                if (_input[1] == "at" && _input[2] == "monster")
                {
                    ShowExamined(_input[2]);
                }
            }
            else
                RoomDescrip = true;
        }

        //======================================================================
        //======================================================================
        static void Handle_Use(string[] _input)
        {
            if (_input.Length > 1)
            {
                if (_input[1] == "screwdriver" && currentroom == 3)
                {
                    if (HasScrewdriver == true)
                    {
                        Console.ForegroundColor = ConsoleColor.Red;
                        Console.WriteLine("\nTry 'unlock cradle' instead.");
                    }
                    else
                    {
                        Console.ForegroundColor = ConsoleColor.Red;
                        Console.WriteLine("\nWhat screwdriver?");
                    }
                }
                if (_input[1] == "key" && currentroom == 1)
                {
                    if (HasKey == true)
                    {
                        Console.ForegroundColor = ConsoleColor.Red;
                        Console.WriteLine("\nTry 'unlock door' instead.");
                    }
                    else
                    {
                        Console.ForegroundColor = ConsoleColor.Red;
                        Console.WriteLine("\nWhat key?");
                    }
                }
                Console.ForegroundColor = ConsoleColor.Gray;
                Console.WriteLine(":> ");
            }
        }

        //======================================================================
        //======================================================================
        static int Den(string input)
        {
            if (RoomDescrip == true)
            {
                Console.WriteLine("\nYou are in the Den.");
                Console.WriteLine("Your mother is sitting on the couch, looking rather tired. She barely sees you there.");
                Console.WriteLine("You are allowed to move East to the Kitchen or West to the Hallway.");
                Console.Write(":> ");
                RoomDescrip = false;
            }
            input = Console.ReadLine().ToLower();
            UserInput(input);
            return currentroom;
        }

        //======================================================================
        //======================================================================
        static int Kitchen(string input)
        {
            if (RoomDescrip == true)
            {
                Console.WriteLine("\nYou are in the Kitchen.");
                if (CabinetClosed == false)
                    Console.WriteLine("One of the cabinets sits open, because there is a monster peering out of it.");
                Console.WriteLine("You are allowed to move North to the Backyard, West to the Den, or South to the Garage.");
                Console.Write(":> ");
                RoomDescrip = false;
            }
            input = Console.ReadLine().ToLower();
            UserInput(input);
            return currentroom;
        }

        //======================================================================
        //======================================================================
        static int Garage(string input)
        {
            if (RoomDescrip == true)
            {
                Console.WriteLine("\nYou are in the Garage");
                if (HasScrewdriver == false)
                    Console.WriteLine("A screwdriver sits on top of one of your father's tool boxes.");
                Console.WriteLine("A monster sits behind the tool box");
                Console.WriteLine("You are allowed to move North to the Kitchen.");
                Console.Write(":> ");
                RoomDescrip = false;
            }
            input = Console.ReadLine().ToLower();
            UserInput(input);
            return currentroom;
        }

        //======================================================================
        //======================================================================
        static int Bedroom(string input)
        {
            if (RoomDescrip == true)
            {
                Console.WriteLine(" ");
                Console.WriteLine("You are in your little sister's bedroom.");
                Console.WriteLine("Pink wallpaper, and flower designs line the entire room.");
                if (FreeSister == false)
                {
                    Console.WriteLine("Your sister, the princess of the household, stands in her cradle,");
                    Console.WriteLine("working on her vocals with words such as, 'Goo goo', and 'Gah Gah'");
                    if (HeroChoice == true && CradleUnlocked == false)
                        Console.WriteLine("The princess is locked up in her prison and cannot escape!");
                }
                Console.WriteLine("You are allowed to move North to the Hallway.");
                Console.Write(":> ");
                RoomDescrip = false;
            }
            input = Console.ReadLine().ToLower();
            UserInput(input);
            return currentroom;
        }

        //======================================================================
        //======================================================================
        static int Bedroom2(string input)
        {
            if (RoomDescrip == true)
            {
                Console.WriteLine("\nYou are in your bedroom, which is shared by your older brother.");
                Console.WriteLine("Your brother stands across the room, menacingly staring right at you.");
                Console.WriteLine("You are allowed to move East to the Hallway.");
                Console.Write(":> ");
                RoomDescrip = false;
            }
            input = Console.ReadLine().ToLower();
            UserInput(input);
            return currentroom;
        }

        //======================================================================
        //======================================================================
        static int Hall(string input)
        {
            if (RoomDescrip == true)
            {
                Console.WriteLine("\nYou are in the hallway between the bedrooms.");
                Console.WriteLine("A picture framed on the wall has a Monster in it.");
                Console.WriteLine("The monster is looking straight at you.");
                Console.WriteLine("You are allowed to move North to the Master Bedroom,");
                Console.WriteLine("East to the Den, South to your Sister's Bedroom, or West to Your Bedroom.");
                Console.Write(":> ");
                RoomDescrip = false;
            }
            input = Console.ReadLine().ToLower();
            UserInput(input);
            return currentroom;
        }

        //======================================================================
        //Master Bedroom Function
        //======================================================================
        static int MasterBedroom(string input)
        {
            if (RoomDescrip == true)
            {
                Console.WriteLine("\nYou are in your parents' Bedroom.");
                Console.WriteLine("Your father is sitting on the bed.");
                if (HasKey == false)
                {
                    Console.WriteLine("On your father's nightstand sits the key to the garage.");
                }
                Console.WriteLine("You are allowed to move South to the Hallway.");
                Console.Write(":> ");
                RoomDescrip = false;
            }
            input = Console.ReadLine().ToLower();
            UserInput(input);
            return currentroom;
        }

        //======================================================================
        //======================================================================
        static int Backyard(string input)
        {
            if (RoomDescrip == true)
            {
                Console.WriteLine("\nYou are in the jungle (backyard).");
                Console.WriteLine("You are surrounded by extremely, tall trees.");
                if (HasBox == false && HasBall == false)
                {
                    Console.WriteLine("The patio nearby contains a bouncy ball in a box.");
                }
                if (HasBall == true && HasBox == false)
                    Console.WriteLine("The patio nearby contains an empty box.");
                if (HasBox == true)
                    Console.WriteLine("A bouncy ball sits on the patio nearby.");
                if (HasStick == false)
                {
                    Console.WriteLine("Off the patio in the grass, lies a stick.");
                }
                Console.WriteLine("In the west side of the backyard, sits your fortress, dubbed 'Cas-Ill' to sound French.");
                Console.WriteLine(" ");
                Console.WriteLine("You are allowed to move South to the Kitchen or West to the Castle.");
                Console.Write(":> ");
                RoomDescrip = false;
            }
            input = Console.ReadLine().ToLower();
            UserInput(input);
            return currentroom;
        }

        //======================================================================
        //======================================================================
        static int Castle(string input)
        {
            if (RoomDescrip == true)
            {
                if (HasSister == false)
                {
                    Console.WriteLine("\nYou are in 'Cas-Ill'.");
                    Console.WriteLine("Your throne made of Lincoln logs sits in the corner.");
                    Console.WriteLine("You are allowed to move East to the Backyard.");
                    Console.Write(":> ");
                }
                if (HasSister == true)
                {
                    Console.WriteLine(" ");
                    Console.ForegroundColor = ConsoleColor.Cyan;
                    Console.WriteLine("As you enter 'Cas-Ill', you are awarded with a medal from your imaginary friend, Gregory.");
                    if (HasStick == true)
                        Console.WriteLine("The medal reads: 'For the Brave Warrior, who favored Strong Attacks' ");
                    if (HasBall == true)
                        Console.WriteLine("The medal reads: 'For the Intelligent Wizard, who scorched his foes with Powerful Magic' ");
                    if (HasBox == true)
                        Console.WriteLine("The medal reads: 'For the Invincible Paladin, who never gave up a fight' ");
                    Console.WriteLine("After accepting your prize, you place the princess on her throne.");
                    Victory();
                }
                RoomDescrip = false;
            }
            input = Console.ReadLine().ToLower();
            UserInput(input);
            return currentroom;
        }

        //======================================================================
        //======================================================================
        static void Parsing(int n)
        {
            StreamReader reader;
            try
            {
                reader = new StreamReader(@"..\..\items" + n + ".txt"); //the super one
            }
            catch (Exception e)
            {
                Console.WriteLine("Problem: " + e.Message);
                return;
            }

            string line;
            int counter = 0;
            while ((line = reader.ReadLine()) != null)
            {
                counter++;
                if (line == "Item")
                {
                    string ItemAfter = reader.ReadLine();
                    counter++;
                    List<string> description = new List<string>();
                    string temp = "";

                    int errorcheck = 0;
                    while (true)
                    {
                        temp = reader.ReadLine();
                        counter++;
                        if (temp == "" || temp == null)
                        {
                            break;
                        }
                        else
                        {
                            description.Add(temp);
                            errorcheck++;
                        }
                    }
                    items tempitem = new items();
                    if (description.Count != 0)
                    {
                        tempitem.Description = description;
                        tempitem.ItemName = ItemAfter;
                        if (n == 1)
                            itemlist.Add(tempitem); //pull items from the itemlist now that they are added
                        if (n == 2)
                            itemlist2.Add(tempitem);
                        if (n == 3)
                            itemlist3.Add(tempitem);
                    }
                }
                else if (line != "" && line != null)
                {
                    Console.WriteLine("Line " + counter + " Room not declared.");
                }
            }
        }

        //======================================================================
        //======================================================================
        static void Main(string[] args)
        {
            map["north"] = Handle_North;
            map["n"] = Handle_North;
            map["south"] = Handle_South;
            map["s"] = Handle_South;
            map["east"] = Handle_East;
            map["e"] = Handle_East;
            map["west"] = Handle_West;
            map["w"] = Handle_West;
            map["take"] = Handle_Take;
            map["obtain"] = Handle_Take;
            map["get"] = Handle_Take;
            map["inventory"] = ShowInventory;
            map["i"] = ShowInventory;
            map["quit"] = Quit;
            map["q"] = Quit;
            map["x"] = Handle_Examine;
            map["examine"] = Handle_Examine;
            map["help"] = Help;
            map["h"] = Help;
            map["unlock"] = Unlock;
            map["look"] = Handle_Look;
            map["l"] = Handle_Look;
            map["use"] = Handle_Use;
            map["talk"] = Handle_Talk;
            map["stat"] = ShowStats;
            map["stats"] = ShowStats;
            map["hero"] = ShowStats;
            map["player"] = ShowStats;
            map["close"] = Handle_Close;
            map["open"] = Handle_Open;
            map["attack"] = Handle_Attack;
            map["hit"] = Handle_Attack;
            map["drop"] = Handle_Drop;
            map["fart"] = Fart;

            Console.SetWindowSize(150, 50);
            Console.WriteLine("                                             ------------------------------------------------");
            Console.WriteLine("                                            |                   Little Hero                  |");
            Console.WriteLine("                                            |   --   --   --   --   --   --   --   --   --   |");
            Console.WriteLine("                                            |        'The boy with a big Imagination!'       |");
            Console.WriteLine("                                            |   --   --   --   --   --   --   --   --   --   |");
            Console.WriteLine("                                            |                 By Morgan Davis                |");
            Console.WriteLine("                                             ------------------------------------------------");
            Console.WriteLine("                                                        Type 'Q' to exit the program!");
            Console.WriteLine(" ");
            string userLine = "";

            while (true)
            {
                Parsing(1); //normal list
                Parsing(2); //super list
                Parsing(3); //low imagination list

                if (currentroom == 0)
                {
                    currentroom = Den(userLine);
                }
                else if (currentroom == 1)
                {
                    currentroom = Kitchen(userLine);
                }
                else if (currentroom == 2)
                {
                    currentroom = Garage(userLine);
                }
                else if (currentroom == 3)
                {
                    currentroom = Bedroom(userLine);
                }
                else if (currentroom == 4)
                {
                    if (intro == true)
                    {
                        Console.WriteLine("You are a young boy who wants to be a Hero!");
                        Console.WriteLine("Wielding a weapon suits you.");
                        Console.ForegroundColor = ConsoleColor.Cyan;
                        Console.WriteLine("GOAL 1:");
                        Console.WriteLine("Find a weapon.");
                        Console.WriteLine("Be careful around monsters. If your fear reaches 10 you lose.");
                        Console.WriteLine("Type 'Help' for a list of commands!");
                        Console.ForegroundColor = ConsoleColor.Gray;
                        intro = false;
                    }
                    currentroom = Bedroom2(userLine);   //Player Start
                }
                else if (currentroom == 5)
                {
                    currentroom = Hall(userLine);
                }
                else if (currentroom == 6)
                {
                    currentroom = MasterBedroom(userLine);
                }
                else if (currentroom == 7)
                {
                    currentroom = Backyard(userLine);
                }
                else if (currentroom == 10)
                {
                    currentroom = Castle(userLine);
                }
                else if (currentroom == 8)
                    break;
            }
        }
    }
}